#pragma once


#include <kiwano/kiwano.h>
using namespace kiwano;

KGE_DECLARE_SMART_PTR(SquirrelStage);
class SquirrelStage :
    public Stage
{
private:
    float Base_X = 0;
    float Base_Y = 0;
public:
    //构造函数必须有名字
    SquirrelStage(std::string gName) {
        this->SetName(gName);

        InitKeyInPut();

        PushBaseUi();

    }

    //创建按键事件回调
    void InitKeyInPut();

    //创建基础图层
    void PushBaseUi(); 

    //进入场景
    void OnEnter() override;
    //退出场景
    void OnExit()override;
    //渲染场景 Proc
    void OnUpdate(Duration dt)override;


    void OnEvent(Event* evt);
};

